xine-lib: xine-lib-1.2.13/src/video_out/video_out_none.c File Reference

xine-lib 1.2.13-20230125hg15249

Data Structures | Macros | Typedefs | Functions | Variables
video_out_none.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <pthread.h>`
`#include "xine.h"`
`#include <xine/video_out.h>`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/vo_scale.h>`
`#include "mem_frame.h"`

## Data Structures
struct | vo_none_driver_t

## Macros
#define | VO_NONE_CATALOG { PLUGIN_VIDEO_OUT, 22, "none", XINE_VERSION_CODE, &vo_info_none, vo_none_init_class }

## Typedefs
typedef mem_frame_t | vo_none_frame_t

## Functions
static uint32_t | vo_none_get_capabilities (vo_driver_t *vo_driver)
static void | vo_none_display_frame (vo_driver_t *vo_driver, vo_frame_t *vo_frame)
static int | vo_none_get_property (vo_driver_t *vo_driver, int property)
static int | vo_none_set_property (vo_driver_t *vo_driver, int property, int value)
static void | vo_none_get_property_min_max (vo_driver_t *vo_driver, int property, int *min, int *max)
static int | vo_none_gui_data_exchange (vo_driver_t *vo_driver, int data_type, void *data)
static void | vo_none_dispose (vo_driver_t *vo_driver)
static int | vo_none_redraw_needed (vo_driver_t *vo_driver)
static vo_driver_t * | vo_none_open_plugin (video_driver_class_t *driver_class, const void *visual)
static void * | vo_none_init_class (xine_t *xine, const void *visual)

## Variables
static const vo_info_t | vo_info_none
const plugin_info_t xine_plugin_info[] | EXPORTED

## Macro Definition Documentation

## ◆ VO_NONE_CATALOG

#define VO_NONE_CATALOG { PLUGIN_VIDEO_OUT, 22, "none", XINE_VERSION_CODE, &vo_info_none, vo_none_init_class }

## Typedef Documentation

## ◆ vo_none_frame_t

typedef mem_frame_t vo_none_frame_t

## Function Documentation

## ◆ vo_none_display_frame()

static void vo_none_display_frame | ( | vo_driver_t * | vo_driver,
|  | vo_frame_t * | vo_frame )
| static

References vo_frame_s::free.

Referenced by vo_none_open_plugin().

## ◆ vo_none_dispose()

static void vo_none_dispose | ( | vo_driver_t * | vo_driver | ) |
| static

Referenced by vo_none_open_plugin().

## ◆ vo_none_get_capabilities()

static uint32_t vo_none_get_capabilities | ( | vo_driver_t * | vo_driver | ) |
| static

References VO_CAP_COLOR_MATRIX, VO_CAP_CROP, VO_CAP_FULLRANGE, VO_CAP_YUY2, and VO_CAP_YV12.

Referenced by vo_none_open_plugin().

## ◆ vo_none_get_property()

static int vo_none_get_property | ( | vo_driver_t * | vo_driver,
|  | int | property )
| static

References vo_none_driver_t::ratio, VO_CAP2_NV12, VO_PROP_ASPECT_RATIO, and VO_PROP_CAPS2.

Referenced by vo_none_open_plugin().

## ◆ vo_none_get_property_min_max()

static void vo_none_get_property_min_max | ( | vo_driver_t * | vo_driver,
|  | int | property,
|  | int * | min,
|  | int * | max )
| static

Referenced by vo_none_open_plugin().

## ◆ vo_none_gui_data_exchange()

static int vo_none_gui_data_exchange | ( | vo_driver_t * | vo_driver,
|  | int | data_type,
|  | void * | data )
| static

References XINE_GUI_SEND_COMPLETION_EVENT, XINE_GUI_SEND_DRAWABLE_CHANGED, XINE_GUI_SEND_EXPOSE_EVENT, XINE_GUI_SEND_SELECT_VISUAL, XINE_GUI_SEND_TRANSLATE_GUI_TO_VIDEO, and XINE_GUI_SEND_VIDEOWIN_VISIBLE.

Referenced by vo_none_open_plugin().

## ◆ vo_none_init_class()

static void * vo_none_init_class | ( | xine_t * | xine,
|  | const void * | visual )
| static

References N_, NULL, video_driver_class_s::open_plugin, and vo_none_open_plugin().

## ◆ vo_none_open_plugin()

static vo_driver_t * vo_none_open_plugin | ( | video_driver_class_t * | driver_class,
|  | const void * | visual )
| static

References mem_frame_alloc_frame(), mem_frame_update_frame_format(), NULL, vo_none_driver_t::ratio, vo_none_driver_t::vo_driver, vo_none_display_frame(), vo_none_dispose(), vo_none_get_capabilities(), vo_none_get_property(), vo_none_get_property_min_max(), vo_none_gui_data_exchange(), vo_none_redraw_needed(), vo_none_set_property(), and XINE_VO_ASPECT_AUTO.

Referenced by vo_none_init_class().

## ◆ vo_none_redraw_needed()

static int vo_none_redraw_needed | ( | vo_driver_t * | vo_driver | ) |
| static

Referenced by vo_none_open_plugin().

## ◆ vo_none_set_property()

static int vo_none_set_property | ( | vo_driver_t * | vo_driver,
|  | int | property,
|  | int | value )
| static

References vo_none_driver_t::ratio, VO_PROP_ASPECT_RATIO, XINE_VO_ASPECT_AUTO, and XINE_VO_ASPECT_NUM_RATIOS.

Referenced by vo_none_open_plugin().

## Variable Documentation

## ◆ EXPORTED

const plugin_info_t xine_plugin_info [] EXPORTED

Initial value:
= {
{ PLUGIN_VIDEO_OUT, 22, "none", XINE_VERSION_CODE, &vo_info_none, vo_none_init_class } ,
{ PLUGIN_NONE, 0, NULL, 0, NULL, NULL }
}
vo_info_none
static const vo_info_t vo_info_none
Definition video_out_none.c:185
vo_none_init_class
static void * vo_none_init_class(xine_t *xine, const void *visual)
Definition video_out_none.c:171
XINE_VERSION_CODE
#define XINE_VERSION_CODE
Definition xine_internal.h:57
NULL
NULL
Definition xine_plugin.c:78
PLUGIN_NONE
#define PLUGIN_NONE
Definition xine_plugin.h:29
PLUGIN_VIDEO_OUT
#define PLUGIN_VIDEO_OUT
Definition xine_plugin.h:36

## ◆ vo_info_none

const vo_info_t vo_info_none
| static

Initial value:
= {
.priority = 5,
.visual_type = XINE_VISUAL_TYPE_NONE,
}
XINE_VISUAL_TYPE_NONE
#define XINE_VISUAL_TYPE_NONE
Definition xine.h:153